Bug 1302351 - [UI] - [Hosts] -> 'Network Interfaces' -> 'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons shouldn't be part of the scrolling in case of multiple interfaces on the host
[UI] - [Hosts] -> 'Network Interfaces' -> 'Setup Host Networks', 'Save Networ...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.2.6
x86_64 Linux
low Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Ales Musil
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 09:57 EST by Michael Burman
Modified: 2017-10-25 06:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt-engine-4.2.0-0.0.master.20170913112412.git2eb3c0a.el7.centos.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
record (7.22 MB, application/x-gzip)
2016-01-27 09:57 EST, Michael Burman
no flags Details
new record (10.96 MB, application/ogg)
2017-08-21 04:26 EDT, Michael Burman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79764 master ABANDONED frontend: Fix 'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons shouldn't be part of t... 2017-07-24 13:07 EDT
oVirt gerrit 81064 master POST webadmin: Replace cell table with data grid 2017-08-28 12:03 EDT

  None (edit)
Description Michael Burman 2016-01-27 09:57:33 EST
Created attachment 1118811 [details]
record

Description of problem:
[UI] - [Hosts] -> [Network Interfaces] -> 'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons shouldn't be part of the scrolling in case of multiple interfaces on the host. 

When we have multiple interfaces on host and we scrolling to lower interfaces under [Hosts] main tab, [Network Interfaces' sub tab, the 'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons become non visible, because they part of the scrolling. This buttons should remain above during the scrolling down. 
Record attached. 

Version-Release number of selected component (if applicable):
3.6.2.6-0.1.el6

How reproducible:
100

Steps to Reproduce:
1. Host with multiple NICs(dummys or VFs) 
2. Scroll down under [Hosts] - [Network Interfaces] to lower NICs 

Actual results:
'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons are no longer visible. 

Expected results:
'Setup Host Networks', 'Save Network Configuration' and 'Sync All Networks' buttons should remain on top and reachable always.
Comment 1 Dan Kenigsberg 2017-07-12 13:29:00 EDT
Ales, can you limit the scroll bar to the (pseudo)table, keeping the buttons static?
Comment 2 Michael Burman 2017-08-21 04:02:39 EDT
Still the same on latest master - 4.2.0-0.0.master.20170820180837.git59243e9.el7.centos
Comment 3 Ales Musil 2017-08-21 04:12:27 EDT
Hi Michael,

Can you provide me with record from the new ui?
Comment 4 Michael Burman 2017-08-21 04:26 EDT
Created attachment 1316160 [details]
new record
Comment 5 Dan Kenigsberg 2017-09-14 16:30:11 EDT
I did not try this myself, but according to Alexander it's testing time.
Comment 6 Michael Burman 2017-09-17 01:03:23 EDT
Verified on - 4.2.0-0.0.master.20170915203601.git96df02d.el7.centos

Note You need to log in before you can comment on or make changes to this bug.